Fedora Linux Support Community & Resources Center
  #1  
Old 8th January 2017, 06:00 PM
User808 Offline
Registered User
 
Join Date: Aug 2016
Location: Iraq
Posts: 570
linuxfedorafirefox
Failure to upgrade Firewalld (brocken dependencies)!

Hi. Today I upgrade my Fedora 24 via tty. I faced some thing new! DNF inform me that it will upgrade ......., install .........., & Skip Firewalld & other related packages (I do not remember their names exactly but most of them if not contain firewalld word) due to broken dependencies.

I try to "sudo dnf clean all" then run "sudo dnf upgrade --refresh" but same thing. Then I run upgrade & upgrade all with except Firewalld & related packages.

Then I try again to upgrade by tty after restart (when all appeared in in update packages in Yum extender dnf is Firewalld in blue color), but from tty I received message said failure to synch. Fedora update!
__________________
Fedora 24 X64 bit Cinnamon edition on Lenovo ThinkPad e550 with Intel core i7 5500 CPU @ 2.40 GH X 2, RAM = 8 GB, HHD = 1 TB, Hybrid VGA (Intel Corporation HD Graphic 5500 + Radeon R7 M265 2GB)
Reply With Quote
  #2  
Old 8th January 2017, 06:07 PM
User808 Offline
Registered User
 
Join Date: Aug 2016
Location: Iraq
Posts: 570
linuxfedorafirefox
Re: Failure to upgrade Firewalld (brocken dependencies)!

Firewalld new version is 0.4.4.2-2.fc24.noarch
__________________
Fedora 24 X64 bit Cinnamon edition on Lenovo ThinkPad e550 with Intel core i7 5500 CPU @ 2.40 GH X 2, RAM = 8 GB, HHD = 1 TB, Hybrid VGA (Intel Corporation HD Graphic 5500 + Radeon R7 M265 2GB)
Reply With Quote
  #3  
Old 8th January 2017, 08:04 PM
jims Offline
Registered User
 
Join Date: Oct 2006
Location: CN89KE Richmond BC Canada
Posts: 367
windows_98_nt_2000firefox
Re: Failure to upgrade Firewalld (brocken dependencies)!

The packages skipped due to dependencies would likely have been
Code:
Skipping packages with broken dependencies:
 firewall-config                                                   noarch
  0.4.4.2-2.fc24                                                updates
153 k
 firewalld                                                         noarch
  0.4.4.2-2.fc24                                                updates
454 k
 firewalld-filesystem                                              noarch
  0.4.4.2-2.fc24                                                updates
 68 k
 python3-firewall                                                  noarch
  0.4.4.2-2.fc24                                                updates
This is due to a sub-package of firewall-selinux attempting to pull in python 2.7 dependencies.

I came across this issue a few hours earlier today when I also did an upgrade to available packages. So far, the effects of this are benign and not causing any issues. Firewalld continues to run at 0.4.4-1 and is working correctly for me allowing passage of my services and ports that I have allowed.

I think this will likely be sorted out fairly soon and be picked up in new updates.
__________________
-----
f24 x86_64 SMP AMD Athlon(tm) 64 X2 Dual Core Processor 4800+ × 2
Reply With Quote
  #4  
Old 9th January 2017, 07:58 PM
jims Offline
Registered User
 
Join Date: Oct 2006
Location: CN89KE Richmond BC Canada
Posts: 367
linuxfedorafirefox
Re: Failure to upgrade Firewalld (brocken dependencies)!

For the information of others wanting to upgrade firewalld and receiving a dependency failure on the selinux-policy package, I am adding the bugzilla link and the selinux-policy bodhi link
__________________
-----
f24 x86_64 SMP AMD Athlon(tm) 64 X2 Dual Core Processor 4800+ × 2
Reply With Quote
Reply

Tags
brocken, dependencies, failure, firewalld, upgrade

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
yum dependencies and an upgrade question jspaceman Using Fedora 1 14th June 2008 02:46 PM
Yum upgrade missing dependencies violinm Using Fedora 5 20th September 2006 05:50 AM
Its brocken my new computer - PLEASE HELP ME! upload19 Hardware & Laptops 11 10th January 2005 03:47 PM
Its brocken my new computer - PLEASE HELP ME! upload19 Installation, Upgrades and Live Media 1 9th January 2005 01:15 AM


Current GMT-time: 00:14 (Monday, 26-06-2017)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat